<?php
/**
 * @category   Alogic
 * @package    Alogic_Resellers
 * @author     dushyant.joshi@alogic.co
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Resellers\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\Exception\NotFoundException;
use Alogic\Resellers\Block\ResellersView;

class View extends \Magento\Framework\App\Action\Action
{
	protected $_resellersview;

	public function __construct(
        Context $context,
        ResellersView $resellersview
    ) {
        $this->_resellersview = $resellersview;
        parent::__construct($context);
    }

	public function execute()
    {
    	if(!$this->_resellersview->getSingleData()){
    		throw new NotFoundException(__('Parameter is incorrect.'));
    	}
    	
        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
